function spec_plot(x,Fs,fhp,ti,in)
% spec_plot(x,Fs,fhp,ti,in)
% Plot and label audio spectrogram to guide equalizer selection
% inputs:
% x   -> data to generate spectrogram
% Fs  -> sampling frequency of data
% fhp -> figure handle for plotting
% ti  -> title for plot
% in  -> index for 2x2 subplot in fhp
% outputs:
% none
% author: Nicholas Kottenstette
% date:   11/9/2004
  dT = .032;   %Desire to window every 32 milliseconds of data
  nfft = 2^12; %Zero padding
  nwin  = min(ceil(dT*Fs),nfft);
  nover = ceil(.125*nwin);
  [B,f,t]=dsp_specgram(x,nfft,Fs,nwin,nover);
  figure(fhp);mesh(t,f,20*log10(abs(B)+1e-6));view(2); ...
      axis('tight');
  xlabel('time (s)');ylabel('freq (Hz)');title(ti);
